Facebook Pixel
APILinkedIn Messaging

Upload message attachment

Upload a file attachment for use in a LinkedIn message.

POST/conversations/upload-attachment
Authentication requiredConversations

Code Examples

curl -X POST 'https://api.connectsafely.ai/linkedin/conversations/upload-attachment' \
-H 'Authorization: Bearer <your_api_key>'

Upload a file attachment for use in a LinkedIn message.

Parameters

No parameters.

Request Body

No request body schema available.

Responses

StatusDescription
200File uploaded
400Upload failed
401Unauthorized
404Account not found
500Server error

200 Response Parameters

NameTypeDescription
successboolean
attachmentobject

200 Example

{
  "success": true,
  "attachment": {}
}

400 Response Parameters

NameTypeDescription
errorstring

400 Example

{
  "error": "example_value"
}

401 Response Parameters

NameTypeDescription
errorstring

401 Example

{
  "error": "example_value"
}

404 Response Parameters

NameTypeDescription
errorstring

404 Example

{
  "error": "example_value"
}

500 Response Parameters

NameTypeDescription
errorstring

500 Example

{
  "error": "example_value"
}